#Josef Laimer, University of Salzburg, 2016
import chimera.extension

#    Class 'MainChainEMO' is the derived class.
class AccSurfSelectionWebEMO(chimera.extension.EMO):
    # Return the actual name of the extension.
    def name(self):
        return 'Accessible Surface Selection Web'

    # Return the short description that typically appears as
    # balloon help or in the Tools preference category.
    def description(self):
        return 'Selection based on computed ASA.'

    # Return the categories in which this extension should appear.
    # It is either a list or a dictionary.  If it is a dictionary
    # then the keys are the category names and the values are
    # category-specific descriptions (and the description() method
    # above is ignored).
    def categories(self):
        return ['BioDApps']

    # Return the name of a file containing an icon that may be used
    # on the tool bar to provide a shortcut for launching the extension.
    def icon(self):
        return self.path('logo.png')
    
    #Invoke the extension
    def activate(self):
    # Call the Prosa dialog gui.
        from chimera import dialogs
        self.module().startGUI()
        

# Register an instance of 'MainChainEMO' with the Chimera
# extension manager.
chimera.extension.manager.registerExtension(AccSurfSelectionWebEMO(__file__))
