import StringIO
import requests
import zipfile


class InMemoryZipFile(object):
        """
        Create a tmp zip File In Memory 
        """
        def __init__(self):
            """
            Constructor
            """
            self.inMemoryOutputFile = StringIO.StringIO()
    
        def write(self, inzipfilename, data):
            """
            add Content to zip File
            @param inzipfilename: zip File Name
            @param data: data which will added
            """
            zip_ = zipfile.ZipFile(self.inMemoryOutputFile, 'a')
            zip_.writestr(inzipfilename, data)
            zip_.close()
    
        def read(self):
            """
            Reads and returns the Content of the zip File
            """
            self.inMemoryOutputFile.seek(0)
            return self.inMemoryOutputFile.getvalue()
    
        def writeToFile(self, filename):
            """
            write to an File
            @param filename: name of the File which will created 
            """
            open(filename, 'wb').write(self.read())
        
        def uploadFile(self, uploadurl):
            """
            Upload the zip File
            @param uploadurl: destination url 
            """
            response = requests.post(uploadurl, files={'upload': self.read()})
            return response.text
        